> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useaira.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete customer by external ID

> This endpoint allows deleting a customer by external ID.



## OpenAPI

````yaml /api-reference/openapi.yaml delete /v1/customers/by-external-id/{externalId}
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
  description: Aira API Reference
  x-logo:
    url: https://static.useaira.com/images/airalogo.svg
    backgroundColor: '#FFFFFF'
    altText: Aira Logo
servers:
  - url: https://api.useaira.com
    description: API base URL
security:
  - ApiKey: []
paths:
  /v1/customers/by-external-id/{externalId}:
    delete:
      tags:
        - Customers
      summary: Delete customer by external ID
      description: This endpoint allows deleting a customer by external ID.
      parameters:
        - schema:
            type: string
            pattern: ^[a-zA-Z0-9_-]+$
          example: 705faf65-9c8b-4053-8c0b-2021281ce83f
          in: path
          name: externalId
          required: true
          description: >-
            An optional external identifier of the customer from the external
            system, used throughout the system to identify the customer.
      responses:
        '204':
          description: The request was successfully processed.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
        '404':
          description: Error object returned to the client when a resource is not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: A human-readable description of the error
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      description: API Key Authentication.
      name: X-API-KEY
      in: header

````